Name: nss_nis
Version: 3.2
Release: 1
Summary: Name Service Switch (NSS) module using NIS
License: LGPLv2+
URL: https://github.com/thkukuk/libnss_nis
Source: https://github.com/thkukuk/libnss_nis/archive/v%{version}.tar.gz

BuildRequires: libnsl2-devel, libtirpc-devel, autoconf, automake, libtool


%description
This package contains the NSS NIS plugin for glibc. This code was formerly part of glibc, but is now standalone to be able to link against TI-RPC for IPv6 support. The nss_nis Name Service Switch module uses the Network Information System (NIS)
to obtain user, group, host name, and other data.

%package devel
Summary:  Static library for nss_nis
Requires: %{name} = %{version}-%{release}
%description devel
Static library for nss_nis.

%prep
%autosetup -n lib%{name}-%{version}

%build
autoreconf -fiv
%configure --libdir=%{_libdir} --includedir=%{_includedir}
%make_build CFLAGS="%{optflags}"

%install
rm -f %{buildroot}/%{_libdir}/lib%{name}.{a,la}
rm -f %{buildroot}/%{_libdir}/lib%{name}.so
%make_install

%check
make check

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%{_libdir}/lib%{name}.la
%{_libdir}/lib%{name}.so.2
%{_libdir}/lib%{name}.so.2.0.0
%license COPYING

%files devel
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.so



%changelog
* Tue Jul 18 2023 zhangchenglin <zhangchenglin@kylinos.cn> - 3.2-1
- Update to 3.2

* Mon Jul 27 2020 Liquor <lirui130@huawei.com> - 3.1-1
- update to 3.1

* Mon Sep 2 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.0.8
- Package init

